package nc.impl.th;

import nc.impl.pub.ace.AceTh_bonusPubServiceImpl;
import nc.impl.pubapp.pattern.data.bill.tool.BillTransferTool;
import nc.vo.th.bonus.AggbonusVO;
import nc.impl.pubapp.pattern.data.bill.BillLazyQuery;
import nc.ui.querytemplate.querytree.IQueryScheme;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;
import nc.vo.pubapp.query2.sql.process.QuerySchemeProcessor;
import nc.impl.pubapp.pattern.database.DataAccessUtils;
import nc.vo.pubapp.pattern.data.IRowSet;
import nc.vo.pubapp.bill.pagination.PaginationTransferObject;
import nc.vo.pubapp.bill.pagination.util.PaginationUtils;
import nc.impl.pubapp.pattern.data.bill.BillQuery;

public class Th_bonusMaintainImpl extends AceTh_bonusPubServiceImpl implements nc.itf.th.ITh_bonusMaintain {

      @Override
    public void delete(AggbonusVO[] vos) throws BusinessException {
        super.pubdeleteBills(vos);
    }
  
      @Override
    public AggbonusVO[] insert(AggbonusVO[] vos) throws BusinessException {
        return super.pubinsertBills(vos);
    }
    
      @Override
    public AggbonusVO[] update(AggbonusVO[] vos) throws BusinessException {
        return super.pubupdateBills(vos);    
    }
  


	  @Override
  public String[] queryPKs(IQueryScheme queryScheme)
      throws BusinessException {
      return super.pubquerypkbills(queryScheme);
  }
  @Override
  public AggbonusVO[] queryBillByPK(String[] pks)
      throws BusinessException {
      return super.pubquerybillbypkbills(pks);
  }





}
